function Cie=get_Cie(k,phi,dphi,x,w)
% solve the generalized eigenvalue problem, cf Remark 1
D=zeros(k,k);
M=zeros(k,k);
for i=1:k
    for j=1:k
        M(i,j)=w'*(phi{i}(x).*phi{j}(x));
        D(i,j)=w'*(dphi{i}(x).*dphi{j}(x));
    end
end
D=(D+D')/2;M=(M+M')/2;
Cie=max(eig(D,M));
end