function zf=commonFinestPartition(elem)
%% compute common finest partition in z
zf=0; %insert left point
for it=1:size(elem,2)
    l=elem(5,it);
    h=1/2^l;
    [i,j]=ind2sub([2^l,2^l],elem(6,it));
    z_r= i*h;
    zf=[zf,z_r];
end
zf=sort(zf);
dz=diff(zf);
ind=(dz>1/4^max(elem(6,:))); % half of minimal mesh-size
ind=find(ind)+1; % convert to indices. add 1 as the first is always kept.
zf=zf([1 ind]);
% fprintf('Common finest partition in z is:\n')
end